| Home | Libraries | People | FAQ | More

##### http::swap (2 of 2 overloads)

Swap two message objects.

###### Synopsis

Defined in header `<boost/beast/http/message.hpp>`

    template<
        bool isRequest,
        class Body,
        class Fields>
    void
    swap(
        message< isRequest, Body, Fields >& m1,
        message< isRequest, Body, Fields >& m2);

###### Description

###### Requirements:

`Body::value_type` and `Fields` are Swappable.

Convenience header `<boost/beast/http.hpp>`